<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.30001
Name: BodySection
Description: CDA Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.30001-2011-12-19T000000">
   <title>BodySection</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section
Item: (BodySection)
-->

<rule context="//section" id="tmp-r-250628-898038-920616-740507">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:id)&lt;=1">(BodySection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(BodySection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(BodySection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(BodySection): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(BodySection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:templateId
Item: (BodySection)
-->

<rule context="//section/hl7:templateId"
         id="tmp-r-927787-853133-987938-320859">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:id
Item: (BodySection)
-->

<rule context="//section/hl7:id" id="tmp-r-419596-924545-202723-422021">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:code
Item: (BodySection)
-->

<rule context="//section/hl7:code" id="tmp-r-841625-866992-103814-631895">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:title
Item: (BodySection)
-->

<rule context="//section/hl7:title" id="tmp-r-973005-208018-747870-921374">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:text
Item: (BodySection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section
Item: (AuthorElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author
Item: (AuthorElements)
-->

<rule context="//section/hl7:author" id="tmp-r-397134-979803-210095-436162">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(AuthorElements): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(AuthorElements): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:functionCode)&lt;=1">(AuthorElements): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 ">(AuthorElements): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(AuthorElements): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(AuthorElements): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AuthorElements): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:functionCode
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:functionCode"
         id="tmp-r-936565-819587-651614-948065">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:time
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:time"
         id="tmp-r-460565-421066-805077-897878">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor"
         id="tmp-r-675658-134035-312700-103163">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(AuthorElements): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorElements): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="$elmcount&gt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="$elmcount&lt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(AuthorElements): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorElements): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(AuthorElements): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(AuthorElements): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(AuthorElements): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorElements): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:id
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-418721-974828-331455-594370">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:code
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:code"
         id="tmp-r-742675-604333-181542-985199">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(AuthorElements): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_AuthorSpeciality (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(AuthorElements): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_AuthorSpeciality (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:telecom
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:telecom"
         id="tmp-r-249133-354142-423804-266270">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-926383-655412-495459-771351">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-531795-327338-482783-770124">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-r-705737-500477-633873-834873">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='DEV' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(AuthorElements): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:softwareName)&lt;=1">(AuthorElements): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-r-500342-877103-778214-424520">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-r-779198-656895-752760-150018">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SC" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-650334-998393-238482-444716">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-729390-540135-179021-113316">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-921049-498107-895743-503834">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-199113-589377-710476-109670">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-386967-391534-576000-772723">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131008T113523/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:entry
Item: (BodySection)
-->
</pattern>
